#! /usr/bin/env python
import sys
from distutils.core import setup

_url = "http://ose.sourceforge.net"

import ConfigParser
cf = ConfigParser.ConfigParser()
cf.read('setup.cfg')
_version = "%d.%d" % \
    ( cf.getint('version', 'major'), cf.getint('version', 'minor') )

setup(
    name="zsirpc",
    version=_version,
    licence="Python",
    packages=[ "zsirpc", ],
    description="Simplified wrapper for ZSI SOAP module.",
    author="Graham Dumpleton",
    author_email="grahamd@dscpl.com.au",
    maintainer="Graham Dumpleton",
    maintainer_email="grahamd@dscpl.com.au",
    url=_url,
    long_description='For additional information, please see ' + _url
)
