# Note that the two files "common.py"
# and "remote.py" are actually copies
# of files provided with the "netrpc"
# module in OSE. You should never try
# to access these modules directly.
# Use the "zsirpc" prefix only.

try:
  # See if "netrpc" module from OSE
  # is actually installed. If it is
  # installed, then use SOAP client
  # from it rather than local copy.
  # By doing this, ensure that the
  # same type objects are used and
  # thus that "zsirpc" and "netrpc"
  # can be used together.

  from netrpc.common import *
  from netrpc.soap import *
except:

  from common import *
  from remote import *
